Package wx :: Package lib :: Package ogl :: Class OpPolyDraw

[frames | no frames]

## Type OpPolyDraw

    object --+
             |
        DrawOp --+
                 |
                OpPolyDraw

Draw polygon, polyline, spline.

Method Summary
| `__init__(self, theOp, thePoints)`
| `Do(self, dc, xoffset, yoffset)`
| `GetPerimeterPoint(self, x1, y1, x2, y2, xOffset, yOffset, attachmentMode)`
| `OnDrawOutline(self, dc, x, y, w, h, oldW, oldH)`
| `Rotate(self, x, y, theta, sinTheta, cosTheta)`
| `Scale(self, scaleX, scaleY)`
| `Translate(self, x, y)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:33 2007 | http://epydoc.sf.net